> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Staff Detail

> Retrieve a staff member's details by ID



## OpenAPI

````yaml get /v1/staffs/{staff_id}
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/staffs/{staff_id}:
    get:
      summary: Get Staff Detail
      description: Get Staff Detail
      operationId: get-staff-detail
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: staff_id
          in: path
          schema:
            type: string
            format: uuid
            example: 98888a69-2d7a-4695-811d-6df8cee30264
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 98566f58-1c76-4b8b-8f75-d20bba2bc7f8
                    name: Testing ABC
                    role:
                      id: 93a00e56-c832-490e-b5b8-7f08149548c7
                      title: Owner
                    email: abcd@gmail.com
                    invited_at: '2023-01-29T05:29:24.000000Z'
                    locations: []
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  role:
                    type: object
                    properties:
                      id:
                        type: string
                      title:
                        type: string
                    required:
                      - id
                      - title
                  email:
                    type: string
                  invited_at:
                    type: string
                  locations:
                    type: array
                    items: {}
                required:
                  - id
                  - name
                  - role
                  - email
                  - invited_at
                  - locations
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    message: The staff cannot be found.
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      deprecated: false

````